/*	bb1.c

	Basic Block compiler in C:  Main Program

	2017 by H. Dietz
*/

#include	"bb.h"

int
main(register int argc, register char **argv)
{
	if (argc != 1) {
		fprintf(stderr, "Usage: %s\n", argv[0]);
		exit(1);
	}

	initv();	/* initialize var (symbol) table */
	nextt();	/* prime the input stream */
	newscope();	/* start scope for globals */
	prog();		/* parse program */
	codegen();	/* generate code */
	exit(0);
}
